<!-- START Top Navbar-->
<nav class="navbar topnavbar" role="navigation">
    <!-- START navbar header-->
    <div class="navbar-header">
        <a class="navbar-brand" href="#/">
            <div class="brand-logo">
                <img class="img-fluid" src="assets/img/logo.svg" alt="App Logo" />
            </div>
            <div class="brand-logo-collapsed">
                <img class="img-fluid" src="assets/img/logo-single.svg" alt="App Logo" />
            </div>
        </a>
    </div>
    <!-- END navbar header-->
    <!-- START Left navbar-->
    <ul class="navbar-nav mr-auto flex-row">
        <li class="nav-item">
            <a class="nav-link" routerLink="/products/catalog">Browse</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" routerLink="/upload">Upload</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" routerLink="/learn">Learn</a>
        </li>
    </ul>
    <!-- END Left navbar-->
    <!-- START Search Navbar-->
    <ul class="navbar-nav flex-row navbar-nav__strech">
        <li class="nav-item nav-item__strech">
                <form name="searchForm" class="nav-link" role="form">
                    <div class="input-group with-focus">
                        <input class="form-control border-right-0" type="text" name="search" autocomplete="off"/>
                        <div class="input-group-append">
                            <span class="input-group-text fa fa-search text-muted bg-transparent border-left-0"></span>
                        </div>
                    </div>
                </form>
            </li>
    </ul>
    <!-- END Search vavbar-->
    <!-- START Right Navbar-->
    <ul class="navbar-nav flex-row">
        <!-- API switch icon-->
        <li class="nav-item">
            <span class="nav-link fake-link" (click)="toggleApi()">
                <em *ngIf="isRebel" class="fa fa-rebel force-icons" title="Rebel"></em>
                <em *ngIf="!isRebel" class="fa fa-empire force-icons" title="Empire"></em>
            </span>
        </li>
        <!-- Info link icon-->
        <!-- <li class="nav-item">
            <a class="nav-link" routerLink="/info">
                <em class="fa fa-question-circle"></em>
            </a>
        </li> -->
        <!-- Login link-->
        <li class="nav-item">
            <span *ngIf="isLoggedIn" class="nav-link fake-link" (click)="logout()">Logout</span>
            <a *ngIf="!isLoggedIn" class="nav-link" routerLink="/login">Login</a>
        </li>
        <!-- Register link-->
        <li class="nav-item">
            <a *ngIf="!isLoggedIn" class="nav-link" routerLink="/register/initial">Register</a>
            <a *ngIf="isLoggedIn" class="nav-link nav-link__highlight" routerLink="/register/complete">Complete registration</a>
        </li>
    </ul>
    <!-- END Right Navbar-->
</nav>
<!-- END Top Navbar-->
